/* Main generated for Simulink Real-Time model control_Velocidad */
#include <ModelInfo.hpp>
#include <utilities.hpp>
#include "control_Velocidad.h"
#include "rte_control_Velocidad_parameters.h"

/* Task wrapper function definitions */
void control_Velocidad_Task1(void)
{ 
    control_Velocidad_step();
} 
/* Task descriptors */
slrealtime::TaskInfo task_1( 0u, std::bind(control_Velocidad_Task1), slrealtime::TaskInfo::PERIODIC, 5e-05, 0, 40);

/* Executable base address for XCP */
#ifdef __linux__
extern char __executable_start;
static uintptr_t const base_address = reinterpret_cast<uintptr_t>(&__executable_start);
#else
/* Set 0 as placeholder, to be parsed later from /proc filesystem */
static uintptr_t const base_address = 0;
#endif

/* Model descriptor */
slrealtime::ModelInfo control_Velocidad_Info =
{
    "control_Velocidad",
    control_Velocidad_initialize,
    control_Velocidad_terminate,
    []()->char const*& { return control_Velocidad_M->errorStatus; },
    []()->unsigned char& { return control_Velocidad_M->Timing.stopRequestedFlag; },
    { task_1 },
    slrealtime::getSegmentVector()
};

int main(int argc, char *argv[]) {
    slrealtime::BaseAddress::set(base_address);
    return slrealtime::runModel(argc, argv, control_Velocidad_Info);
}
